﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Demo001_dotnetintro
{
    public partial class Form1 : Form
    {
        private List<Person> buddies = new List<Person>();

        public Form1()
        {
            InitializeComponent();
        }

        private void addButton_Click(object sender, EventArgs e)
        {
            if (FirstNameBox.Text.Length == 0 || LastNameBox.Text.Length == 0)
            {
                MessageBox.Show("Podaj imię i nazwisko!");
                return;
            }

            FilterBox.Clear();

            Person p = new Person(FirstNameBox.Text, LastNameBox.Text);
            
            buddies.Add(p);

            updateList(buddies);

            FirstNameBox.Clear();
            LastNameBox.Clear();
        }

        private void resetList()
        {
            updateList(buddies);
        }

        private void updateList(IEnumerable<Person> people)
        {
            updateList(people.ToArray<Person>()); 
        }

        private void updateList(Person[] people)
        {
            BuddyList.Items.Clear();
            BuddyList.Items.AddRange(people);
        }

        private void FilterBox_TextChanged(object sender, EventArgs e)
        {
            if (FilterBox.Text.Length <= 0)
            {
                resetList();
                XButton.Visible = false;
                FilterBox.Width = 109;
            }
            else
            {
                XButton.Visible = true;
                FilterBox.Width = 87;

                var result = from p in buddies where p.Name.IndexOf(FilterBox.Text) >= 0 select p;
                // var result = buddies.Where(p => p.Name.IndexOf(textBox1.Text) >= 0);
                updateList(result);
            }
        }

        private void BuddyList_SelectedValueChanged(object sender, EventArgs e)
        {
            MessageBox.Show("Wybrałeś osobę: " + BuddyList.Items[BuddyList.SelectedIndex].ToString());
        }

        private void button1_Click(object sender, EventArgs e)
        {
            FilterBox.Clear();
        }

    }
}
